[![Build Status](https://secure.travis-ci.org/pasupulaphani/angular-csrf-cross-domain.png?branch=master)](http://travis-ci.org/pasupulaphani/angular-csrf-cross-domain) [![Bower version](https://badge.fury.io/bo/angular-csrf-cross-domain.svg)](http://badge.fury.io/bo/angular-csrf-cross-domain) [![Hex.pm](http://img.shields.io/hexpm/l/plug.svg)]()

angular-csrf-cross-domain
============
> Enable csrf/xsrf for cross domain requests in Angular

[$http docs](https://docs.angularjs.org/api/ng/service/$http) : 
Angular provides a mechanism to counter XSRF. When performing XHR requests, but will **not** be set for *cross-domain requests*.

You only need this library:
* You are making *cross domain requests* and enabled angular csrf/xsrf protection.

Getting Started
-----
Install the library through bower.
```js
bower install angular-csrf-cross-domain
```
>Also available with the name ```angular-csrf-cross-domain```

Add it to your app dependency
```js
angular.module('myModule',['csrf-cross-domain'])
```

Thats it :D

## Customization:

**Default csrf componenet names**:
HTTP header: **X-XSRF-TOKEN**
HTTP cookie: **XSRF-TOKEN**
HTTP allowed methods: ```'GET', 'POST', 'PUT', 'PATCH', 'DELETE'```

**Django example:** (each framework has their own csrf componenets naming convention)

```js
angular.config(function(csrfCDProvider) {

        csrfCDProvider.setHeaderName('X-CSRFToken');
        csrfCDProvider.setCookieName('CSRFToken');
        csrfCDProvider.allowedMethods(['GET', 'POST', 'HEAD']);

    });
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## Locations:
- http://ngmodules.org/modules/angular-csrf-cross-domain
- http://bower.io/search/?q=angular-csrf-cross-domain
- http://bower.io/search/?q=angular-xsrf-cross-domain